'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createRequestConfig;

var _lang = require('lodash/lang');

/**
 * Creates request parameters configuration by parsing an existing query object
 * @private
 * @param {Object} query
 * @return {Object} Config object with `params` property, ready to be used in axios
 */
function createRequestConfig(_ref) {
  var query = _ref.query;

  var config = {};
  delete query.resolveLinks;
  config.params = (0, _lang.cloneDeep)(query);
  return config;
}